import { html as m } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, u = Object.getOwnPropertyDescriptor, p = (c, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? u(o, s) : o, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (t ? i(o, s, e) : i(e)) || e);
  return t && e && h(o, s, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--moon", this.class = "c-pieIcon c-pieIcon--moon", this.name = "IconMoon";
  }
  render() {
    return m`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--moon"><path d="M8.219 8a4.174 4.174 0 0 1 3.412-4.078 5.3 5.3 0 0 0-1.444-.927A5.4 5.4 0 0 0 8 2.531 5.469 5.469 0 0 0 8 13.47a5.4 5.4 0 0 0 2.188-.464 5.3 5.3 0 0 0 1.443-.928A4.174 4.174 0 0 1 8.22 8M8 12.156a4.155 4.155 0 0 1-3.689-6.18 4.16 4.16 0 0 1 4.433-2.053 5.443 5.443 0 0 0 0 8.155 4 4 0 0 1-.744.078"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-moon")
], r);
export {
  r as IconMoon
};
